summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authordscho <dscho>2003-08-02 23:59:18 +0000
committerdscho <dscho>2003-08-02 23:59:18 +0000
commit34316ef618b8994faaa73fc47e0bee944dec34ca (patch)
tree9466846bc10e033539132b3e5fd9ec5ebc37f171
parent37b93d7844fa539099a35b295a4ec42174ed8119 (diff)
downloadlibtdevnc-34316ef618b8994faaa73fc47e0bee944dec34ca.tar.gz
libtdevnc-34316ef618b8994faaa73fc47e0bee944dec34ca.zip
really check for setsid, not pgrp
-rw-r--r--config.h.in6
-rwxr-xr-xconfigure142
-rw-r--r--configure.ac3
3 files changed, 46 insertions, 105 deletions
diff --git a/config.h.in b/config.h.in
index ca064b1..eb1821d 100644
--- a/config.h.in
+++ b/config.h.in
@@ -75,6 +75,9 @@
/* Define if you have the `select' function. */
#undef HAVE_SELECT
+/* Define if you have the `setsid' function. */
+#undef HAVE_SETSID
+
/* Define if you have the `socket' function. */
#undef HAVE_SOCKET
@@ -161,9 +164,6 @@
/* Name of package */
#undef PACKAGE
-/* Define if the `setpgrp' function takes no argument. */
-#undef SETPGRP_VOID
-
/* The number of bytes in type char */
#undef SIZEOF_CHAR
diff --git a/configure b/configure
index 47a5b72..cafd6b9 100755
--- a/configure
+++ b/configure
@@ -7276,65 +7276,7 @@ EOF
fi
-echo "$as_me:7279: checking whether setpgrp takes no argument" >&5
-echo $ECHO_N "checking whether setpgrp takes no argument... $ECHO_C" >&6
-if test "${ac_cv_func_setpgrp_void+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- if test "$cross_compiling" = yes; then
- { { echo "$as_me:7285: error: cannot check setpgrp if cross compiling" >&5
-echo "$as_me: error: cannot check setpgrp if cross compiling" >&2;}
- { (exit 1); exit 1; }; }
-else
- cat >conftest.$ac_ext <<_ACEOF
-#line 7290 "configure"
-#include "confdefs.h"
-#if HAVE_UNISTD_H
-# include <unistd.h>
-#endif
-
-int
-main ()
-{
-/* If this system has a BSD-style setpgrp, which takes arguments, exit
- successfully. */
- exit (setpgrp (1,1) == -1);
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest$ac_exeext
-if { (eval echo "$as_me:7307: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:7310: \$? = $ac_status" >&5
- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:7312: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:7315: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_func_setpgrp_void=no
-else
- echo "$as_me: program exited with status $ac_status" >&5
-echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_func_setpgrp_void=yes
-fi
-rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
-fi
-echo "$as_me:7327: result: $ac_cv_func_setpgrp_void" >&5
-echo "${ECHO_T}$ac_cv_func_setpgrp_void" >&6
-if test $ac_cv_func_setpgrp_void = yes; then
-
-cat >>confdefs.h <<\EOF
-#define SETPGRP_VOID 1
-EOF
-
-fi
-
-echo "$as_me:7337: checking for gethostbyname in -lnsl" >&5
+echo "$as_me:7279: checking for gethostbyname in -lnsl" >&5
echo $ECHO_N "checking for gethostbyname in -lnsl... $ECHO_C" >&6
if test "${ac_cv_lib_nsl_gethostbyname+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -7342,7 +7284,7 @@ else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lnsl $LIBS"
cat >conftest.$ac_ext <<_ACEOF
-#line 7345 "configure"
+#line 7287 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
@@ -7361,16 +7303,16 @@ gethostbyname ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:7364: \"$ac_link\"") >&5
+if { (eval echo "$as_me:7306: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:7367: \$? = $ac_status" >&5
+ echo "$as_me:7309: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:7370: \"$ac_try\"") >&5
+ { (eval echo "$as_me:7312: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:7373: \$? = $ac_status" >&5
+ echo "$as_me:7315: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_nsl_gethostbyname=yes
else
@@ -7381,7 +7323,7 @@ fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:7384: result: $ac_cv_lib_nsl_gethostbyname" >&5
+echo "$as_me:7326: result: $ac_cv_lib_nsl_gethostbyname" >&5
echo "${ECHO_T}$ac_cv_lib_nsl_gethostbyname" >&6
if test $ac_cv_lib_nsl_gethostbyname = yes; then
cat >>confdefs.h <<EOF
@@ -7392,7 +7334,7 @@ EOF
fi
-echo "$as_me:7395: checking for socket in -lsocket" >&5
+echo "$as_me:7337: checking for socket in -lsocket" >&5
echo $ECHO_N "checking for socket in -lsocket... $ECHO_C" >&6
if test "${ac_cv_lib_socket_socket+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -7400,7 +7342,7 @@ else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lsocket $LIBS"
cat >conftest.$ac_ext <<_ACEOF
-#line 7403 "configure"
+#line 7345 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
@@ -7419,16 +7361,16 @@ socket ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:7422: \"$ac_link\"") >&5
+if { (eval echo "$as_me:7364: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:7425: \$? = $ac_status" >&5
+ echo "$as_me:7367: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:7428: \"$ac_try\"") >&5
+ { (eval echo "$as_me:7370: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:7431: \$? = $ac_status" >&5
+ echo "$as_me:7373: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_socket_socket=yes
else
@@ -7439,7 +7381,7 @@ fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:7442: result: $ac_cv_lib_socket_socket" >&5
+echo "$as_me:7384: result: $ac_cv_lib_socket_socket" >&5
echo "${ECHO_T}$ac_cv_lib_socket_socket" >&6
if test $ac_cv_lib_socket_socket = yes; then
cat >>confdefs.h <<EOF
@@ -7450,16 +7392,16 @@ EOF
fi
-for ac_func in ftime gethostbyname gethostname gettimeofday inet_ntoa memmove memset mkfifo select socket strchr strcspn strdup strerror strstr
+for ac_func in ftime gethostbyname gethostname gettimeofday inet_ntoa memmove memset mkfifo select socket strchr strcspn strdup strerror strstr setsid
do
as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:7456: checking for $ac_func" >&5
+echo "$as_me:7398: checking for $ac_func" >&5
echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
if eval "test \"\${$as_ac_var+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 7462 "configure"
+#line 7404 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func (); below. */
@@ -7490,16 +7432,16 @@ f = $ac_func;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:7493: \"$ac_link\"") >&5
+if { (eval echo "$as_me:7435: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:7496: \$? = $ac_status" >&5
+ echo "$as_me:7438: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:7499: \"$ac_try\"") >&5
+ { (eval echo "$as_me:7441: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:7502: \$? = $ac_status" >&5
+ echo "$as_me:7444: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
eval "$as_ac_var=yes"
else
@@ -7509,7 +7451,7 @@ eval "$as_ac_var=no"
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
-echo "$as_me:7512: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:7454: result: `eval echo '${'$as_ac_var'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
if test `eval echo '${'$as_ac_var'}'` = yes; then
cat >>confdefs.h <<EOF
@@ -7530,23 +7472,23 @@ else
fi
# Check for OS X specific header
-echo "$as_me:7533: checking for ApplicationServices/ApplicationServices.h" >&5
+echo "$as_me:7475: checking for ApplicationServices/ApplicationServices.h" >&5
echo $ECHO_N "checking for ApplicationServices/ApplicationServices.h... $ECHO_C" >&6
if test "${ac_cv_header_ApplicationServices_ApplicationServices_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 7539 "configure"
+#line 7481 "configure"
#include "confdefs.h"
#include <ApplicationServices/ApplicationServices.h>
_ACEOF
-if { (eval echo "$as_me:7543: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:7485: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:7549: \$? = $ac_status" >&5
+ echo "$as_me:7491: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@@ -7565,7 +7507,7 @@ else
fi
rm -f conftest.err conftest.$ac_ext
fi
-echo "$as_me:7568: result: $ac_cv_header_ApplicationServices_ApplicationServices_h" >&5
+echo "$as_me:7510: result: $ac_cv_header_ApplicationServices_ApplicationServices_h" >&5
echo "${ECHO_T}$ac_cv_header_ApplicationServices_ApplicationServices_h" >&6
if test $ac_cv_header_ApplicationServices_ApplicationServices_h = yes; then
HAVE_OSX="true"
@@ -7680,7 +7622,7 @@ DEFS=-DHAVE_CONFIG_H
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:7683: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:7625: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
@@ -7856,7 +7798,7 @@ cat >>$CONFIG_STATUS <<\EOF
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
- { { echo "$as_me:7859: error: ambiguous option: $1
+ { { echo "$as_me:7801: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
@@ -7875,7 +7817,7 @@ Try \`$0 --help' for more information." >&2;}
ac_need_defaults=false;;
# This is an error.
- -*) { { echo "$as_me:7878: error: unrecognized option: $1
+ -*) { { echo "$as_me:7820: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
@@ -7933,7 +7875,7 @@ do
"rfb/rfbconfig.h" ) CONFIG_COMMANDS="$CONFIG_COMMANDS rfb/rfbconfig.h" ;;
"default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
"config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
- *) { { echo "$as_me:7936: error: invalid argument: $ac_config_target" >&5
+ *) { { echo "$as_me:7878: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
@@ -8184,7 +8126,7 @@ done; }
esac
if test x"$ac_file" != x-; then
- { echo "$as_me:8187: creating $ac_file" >&5
+ { echo "$as_me:8129: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@@ -8202,7 +8144,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:8205: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:8147: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -8215,7 +8157,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:8218: error: cannot find input file: $f" >&5
+ { { echo "$as_me:8160: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@@ -8276,7 +8218,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
* ) ac_file_in=$ac_file.in ;;
esac
- test x"$ac_file" != x- && { echo "$as_me:8279: creating $ac_file" >&5
+ test x"$ac_file" != x- && { echo "$as_me:8221: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
# First look for the input files in the build tree, otherwise in the
@@ -8287,7 +8229,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:8290: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:8232: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -8300,7 +8242,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:8303: error: cannot find input file: $f" >&5
+ { { echo "$as_me:8245: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@@ -8417,7 +8359,7 @@ cat >>$CONFIG_STATUS <<\EOF
rm -f $tmp/in
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
- { echo "$as_me:8420: $ac_file is unchanged" >&5
+ { echo "$as_me:8362: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -8500,14 +8442,14 @@ if test "$ac_prefix_conf_INP" = "_"; then
esac
fi
if test -z "$ac_prefix_conf_PKG" ; then
- { { echo "$as_me:8503: error: no prefix for _PREFIX_PKG_CONFIG_H" >&5
+ { { echo "$as_me:8445: error: no prefix for _PREFIX_PKG_CONFIG_H" >&5
echo "$as_me: error: no prefix for _PREFIX_PKG_CONFIG_H" >&2;}
{ (exit 1); exit 1; }; }
else
if test ! -f "$ac_prefix_conf_INP" ; then if test -f "$srcdir/$ac_prefix_conf_INP" ; then
ac_prefix_conf_INP="$srcdir/$ac_prefix_conf_INP"
fi fi
- { echo "$as_me:8510: creating $ac_prefix_conf_OUT - prefix $ac_prefix_conf_UPP for $ac_prefix_conf_INP defines" >&5
+ { echo "$as_me:8452: creating $ac_prefix_conf_OUT - prefix $ac_prefix_conf_UPP for $ac_prefix_conf_INP defines" >&5
echo "$as_me: creating $ac_prefix_conf_OUT - prefix $ac_prefix_conf_UPP for $ac_prefix_conf_INP defines" >&6;}
if test -f $ac_prefix_conf_INP ; then
echo "s/#undef *\\([ABCDEFGHIJKLMNOPQRSTUVWXYZ_]\\)/#undef $ac_prefix_conf_UPP""_\\1/" > conftest.prefix
@@ -8529,7 +8471,7 @@ echo "$as_me: creating $ac_prefix_conf_OUT - prefix $ac_prefix_conf_UPP for $ac_
echo '/* once:' $ac_prefix_conf_DEF '*/' >>$tmp/pconfig.h
echo "#endif" >>$tmp/pconfig.h
if cmp -s $ac_prefix_conf_OUT $tmp/pconfig.h 2>/dev/null; then
- { echo "$as_me:8532: $ac_prefix_conf_OUT is unchanged" >&5
+ { echo "$as_me:8474: $ac_prefix_conf_OUT is unchanged" >&5
echo "$as_me: $ac_prefix_conf_OUT is unchanged" >&6;}
else
ac_dir=`$as_expr X"$ac_prefix_conf_OUT" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -8564,7 +8506,7 @@ done; }
fi
cp conftest.prefix _configs.sed
else
- { { echo "$as_me:8567: error: input file $ac_prefix_conf_INP does not exist - skip generating $ac_prefix_conf_OUT" >&5
+ { { echo "$as_me:8509: error: input file $ac_prefix_conf_INP does not exist - skip generating $ac_prefix_conf_OUT" >&5
echo "$as_me: error: input file $ac_prefix_conf_INP does not exist - skip generating $ac_prefix_conf_OUT" >&2;}
{ (exit 1); exit 1; }; }
fi
diff --git a/configure.ac b/configure.ac
index 78c2ccd..b4b2955 100644
--- a/configure.ac
+++ b/configure.ac
@@ -94,10 +94,9 @@ AC_FUNC_STAT
AC_FUNC_STRFTIME
AC_FUNC_VPRINTF
AC_FUNC_FORK
-AC_FUNC_SETPGRP
AC_CHECK_LIB(nsl,gethostbyname)
AC_CHECK_LIB(socket,socket)
-AC_CHECK_FUNCS([ftime gethostbyname gethostname gettimeofday inet_ntoa memmove memset mkfifo select socket strchr strcspn strdup strerror strstr])
+AC_CHECK_FUNCS([ftime gethostbyname gethostname gettimeofday inet_ntoa memmove memset mkfifo select socket strchr strcspn strdup strerror strstr setsid])
# Check if /dev/vcsa1 exists, if so, define LINUX
AM_CONDITIONAL(LINUX, test -c /dev/vcsa1)